Package org.apache.batchee.container.impl

## Class JobOperatorImpl

- java.lang.Object
- - org.apache.batchee.container.impl.JobOperatorImpl

- All Implemented Interfaces:
    `javax.batch.operations.JobOperator`

      public class JobOperatorImpl
      extends Object
      implements javax.batch.operations.JobOperator

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `JobOperatorImpl()` |
    `protected` | `JobOperatorImpl​(ServicesManager servicesManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abandon​(long executionId)` |
    `InternalJobExecution` | `getJobExecution​(long executionId)` |
    `List<javax.batch.runtime.JobExecution>` | `getJobExecutions​(javax.batch.runtime.JobInstance instance)` |
    `javax.batch.runtime.JobInstance` | `getJobInstance​(long executionId)` |
    `int` | `getJobInstanceCount​(String jobName)` |
    `List<javax.batch.runtime.JobInstance>` | `getJobInstances​(String jobName, int start, int count)` |
    `Set<String>` | `getJobNames()` |
    `Properties` | `getParameters​(long executionId)` |
    `List<Long>` | `getRunningExecutions​(String jobName)` |
    `List<javax.batch.runtime.StepExecution>` | `getStepExecutions​(long executionId)` |
    `long` | `restart​(long oldExecutionId, Properties restartParameters)` |
    `long` | `start​(String jobXMLName, Properties jobParameters)` |
    `void` | `stop​(long executionId)` |
    `void` | `waitFor​(long id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobOperatorImpl

          protected JobOperatorImpl​(ServicesManager servicesManager)

    - #### JobOperatorImpl

          public JobOperatorImpl()

  - ### Method Detail

    - #### start

          public long start​(String jobXMLName,
                            Properties jobParameters)
                     throws javax.batch.operations.JobStartException,
                            javax.batch.operations.JobSecurityException

      Specified by:
        `start` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.JobStartException`
        `javax.batch.operations.JobSecurityException`

    - #### abandon

          public void abandon​(long executionId)
                       throws javax.batch.operations.NoSuchJobExecutionException,
                              javax.batch.operations.JobExecutionIsRunningException,
                              javax.batch.operations.JobSecurityException

      Specified by:
        `abandon` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobExecutionIsRunningException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobExecution

          public InternalJobExecution getJobExecution​(long executionId)
                                               throws javax.batch.operations.NoSuchJobExecutionException,
                                                      javax.batch.operations.JobSecurityException

      Specified by:
        `getJobExecution` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobExecutions

          public List<javax.batch.runtime.JobExecution> getJobExecutions​(javax.batch.runtime.JobInstance instance)
                                                                  throws javax.batch.operations.NoSuchJobInstanceException,
                                                                         javax.batch.operations.JobSecurityException

      Specified by:
        `getJobExecutions` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobInstanceException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobInstance

          public javax.batch.runtime.JobInstance getJobInstance​(long executionId)
                                                         throws javax.batch.operations.NoSuchJobExecutionException,
                                                                javax.batch.operations.JobSecurityException

      Specified by:
        `getJobInstance` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobInstanceCount

          public int getJobInstanceCount​(String jobName)
                                  throws javax.batch.operations.NoSuchJobException,
                                         javax.batch.operations.JobSecurityException

      Specified by:
        `getJobInstanceCount` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobInstances

          public List<javax.batch.runtime.JobInstance> getJobInstances​(String jobName,
                                                                       int start,
                                                                       int count)
                                                                throws javax.batch.operations.NoSuchJobException,
                                                                       javax.batch.operations.JobSecurityException

      Specified by:
        `getJobInstances` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobException`
        `javax.batch.operations.JobSecurityException`

    - #### getJobNames

          public Set<String> getJobNames()
                                  throws javax.batch.operations.JobSecurityException

      Specified by:
        `getJobNames` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.JobSecurityException`

    - #### getParameters

          public Properties getParameters​(long executionId)
                                   throws javax.batch.operations.NoSuchJobExecutionException,
                                          javax.batch.operations.JobSecurityException

      Specified by:
        `getParameters` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobSecurityException`

    - #### getRunningExecutions

          public List<Long> getRunningExecutions​(String jobName)
                                          throws javax.batch.operations.NoSuchJobException,
                                                 javax.batch.operations.JobSecurityException

      Specified by:
        `getRunningExecutions` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobException`
        `javax.batch.operations.JobSecurityException`

    - #### getStepExecutions

          public List<javax.batch.runtime.StepExecution> getStepExecutions​(long executionId)
                                                                    throws javax.batch.operations.NoSuchJobExecutionException,
                                                                           javax.batch.operations.JobSecurityException

      Specified by:
        `getStepExecutions` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobSecurityException`

    - #### restart

          public long restart​(long oldExecutionId,
                              Properties restartParameters)
                       throws javax.batch.operations.JobExecutionAlreadyCompleteException,
                              javax.batch.operations.NoSuchJobExecutionException,
                              javax.batch.operations.JobExecutionNotMostRecentException,
                              javax.batch.operations.JobRestartException,
                              javax.batch.operations.JobSecurityException

      Specified by:
        `restart` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.JobExecutionAlreadyCompleteException`
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobExecutionNotMostRecentException`
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobSecurityException`

    - #### stop

          public void stop​(long executionId)
                    throws javax.batch.operations.NoSuchJobExecutionException,
                           javax.batch.operations.JobExecutionNotRunningException,
                           javax.batch.operations.JobSecurityException

      Specified by:
        `stop` in interface `javax.batch.operations.JobOperator`
      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`
        `javax.batch.operations.JobExecutionNotRunningException`
        `javax.batch.operations.JobSecurityException`

    - #### waitFor

          public void waitFor​(long id)